---
title: "Historical contract: Get Event List by user"
description: "Historical Ordering.co API contract for GET /users/{user_id}/wallets/{wallet_id}/events, kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/get-event-list-by-user/
---

# Historical contract: Get Event List by user

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Get Event List by user

This API endpoint is used to get all events of a user's wallet

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/users/GET/users/%7Buser_id%7D/wallets/%7Bwallet_id%7D/events)

## Parameters

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "user_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32",
      "default": 0
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "wallet_id",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "1"
    },
    "required": true
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": [\n    {\n      \"id\": 1,\n      \"wallet_id\": 1,\n      \"code\": \"<redacted-secret>\",\n      \"event\": \"locked\",\n      \"event_type\": \"manual\",\n      \"description\": null,\n      \"amount\": 0,\n      \"author_id\": 1,\n      \"fingerprint_data\": {\n        \"user_agent\": \"<redacted-personal>\",\n        \"ip\": \"192.0.2.1\",\n        \"forwarded_ip\": \"192.0.2.1\",\n        \"site_id\": null\n      },\n      \"created_at\": \"2022-01-27 21:14:15\",\n      \"updated_at\": \"2022-01-27 21:14:15\"\n    },\n    {\n      \"id\": 2,\n      \"wallet_id\": 1,\n      \"code\": \"<redacted-secret>\",\n      \"event\": \"unlocked\",\n      \"event_type\": \"manual\",\n      \"description\": null,\n      \"amount\": 0,\n      \"author_id\": 1,\n      \"fingerprint_data\": {\n        \"user_agent\": \"<redacted-personal>\",\n        \"ip\": \"192.0.2.1\",\n        \"forwarded_ip\": \"192.0.2.1\",\n        \"site_id\": null\n      },\n      \"created_at\": \"2022-01-27 21:14:21\",\n      \"updated_at\": \"2022-01-27 21:14:21\"\n    },\n    {\n      \"id\": 3,\n      \"wallet_id\": 1,\n      \"code\": \"<redacted-secret>\",\n      \"event\": \"locked\",\n      \"event_type\": \"manual\",\n      \"description\": \"I'm scaried\",\n      \"amount\": 0,\n      \"author_id\": 1,\n      \"fingerprint_data\": {\n        \"user_agent\": \"<redacted-personal>\",\n        \"ip\": \"192.0.2.1\",\n        \"forwarded_ip\": \"192.0.2.1\",\n        \"site_id\": null\n      },\n      \"created_at\": \"2022-01-27 21:14:55\",\n      \"updated_at\": \"2022-01-27 21:14:55\"\n    },\n    {\n      \"id\": 4,\n      \"wallet_id\": 1,\n      \"code\": \"<redacted-secret>\",\n      \"event\": \"unlocked\",\n      \"event_type\": \"manual\",\n      \"description\": null,\n      \"amount\": 0,\n      \"author_id\": 1,\n      \"fingerprint_data\": {\n        \"user_agent\": \"<redacted-personal>\",\n        \"ip\": \"192.0.2.1\",\n        \"forwarded_ip\": \"192.0.2.1\",\n        \"site_id\": null\n      },\n      \"created_at\": \"2022-01-27 21:15:15\",\n      \"updated_at\": \"2022-01-27 21:15:15\"\n    }\n  ],\n  \"pagination\": {\n    \"total\": 4,\n    \"from\": 1,\n    \"to\": 4,\n    \"current_page\": 1,\n    \"page_size\": 4,\n    \"total_pages\": 1,\n    \"fisrt_page\": null,\n    \"back_page\": null,\n    \"next_page\": null,\n    \"last_page\": null\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer",
                    "example": 1,
                    "default": 0
                  },
                  "wallet_id": {
                    "type": "integer",
                    "example": 1,
                    "default": 0
                  },
                  "code": {
                    "type": "string",
                    "example": "<redacted-secret>"
                  },
                  "event": {
                    "type": "string",
                    "example": "locked"
                  },
                  "event_type": {
                    "type": "string",
                    "example": "manual"
                  },
                  "description": {},
                  "amount": {
                    "type": "integer",
                    "example": 0,
                    "default": 0
                  },
                  "author_id": {
                    "type": "integer",
                    "example": 1,
                    "default": 0
                  },
                  "fingerprint_data": {
                    "type": "object",
                    "properties": {
                      "user_agent": {
                        "type": "string",
                        "example": "<redacted-personal>"
                      },
                      "ip": {
                        "type": "string",
                        "example": "192.0.2.1"
                      },
                      "forwarded_ip": {
                        "type": "string",
                        "example": "192.0.2.1"
                      },
                      "site_id": {}
                    }
                  },
                  "created_at": {
                    "type": "string",
                    "example": "2022-01-27 21:14:15"
                  },
                  "updated_at": {
                    "type": "string",
                    "example": "2022-01-27 21:14:15"
                  }
                }
              }
            },
            "pagination": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "example": 4,
                  "default": 0
                },
                "from": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "to": {
                  "type": "integer",
                  "example": 4,
                  "default": 0
                },
                "current_page": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "page_size": {
                  "type": "integer",
                  "example": 4,
                  "default": 0
                },
                "total_pages": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "fisrt_page": {},
                "back_page": {},
                "next_page": {},
                "last_page": {}
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
